Index: code/trunk/src/modules/pickup/PickupRepresentation.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupRepresentation.cc	(revision 8857)
+++ code/trunk/src/modules/pickup/PickupRepresentation.cc	(revision 8858)
@@ -140,5 +140,5 @@
             this->spawnerRepresentation_->setVisible(false);
 
-        COUT(4) << "PickupRepresentation created: name: '" << this->name_ << "', description: '" << this->description_ << "', spawnerTemplate: '" << this->spawnerTemplate_ << "'." << std::endl;
+        orxout(verbose, context::pickups) << "PickupRepresentation created: name: '" << this->name_ << "', description: '" << this->description_ << "', spawnerTemplate: '" << this->spawnerTemplate_ << "'." << endl;
     }
 
@@ -155,8 +155,8 @@
         if(this->spawnerRepresentation_ == NULL)
         {
-            COUT(4) << "PickupRepresentation: No spawner representation found." << std::endl;
+            orxout(verbose, context::pickups) << "PickupRepresentation: No spawner representation found." << endl;
             if(this->spawnerTemplate_ == "")
             {
-                COUT(4) << "PickupRepresentation: Spawner template is empty." << std::endl;
+                orxout(verbose, context::pickups) << "PickupRepresentation: Spawner template is empty." << endl;
                 // If neither spawnerRepresentation nor spawnerTemplate was specified
                 return this->getDefaultSpawnerRepresentation(spawner);
Index: code/trunk/src/modules/pickup/PickupSpawner.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupSpawner.cc	(revision 8857)
+++ code/trunk/src/modules/pickup/PickupSpawner.cc	(revision 8858)
@@ -90,5 +90,5 @@
         if(this->pickup_ == NULL)
         {
-            COUT(2) << "A PickupSpawner was created without a valid Pickupable. This won't work." << std::endl;
+            orxout(internal_warning, context::pickups) << "A PickupSpawner was created without a valid Pickupable. This won't work." << endl;
             this->setActive(false);
         }
@@ -144,5 +144,5 @@
         if(this->pickup_ == NULL)
         {
-            COUT(2) << "A PickupSpawner was created without a valid Pickupable. This won't work." << std::endl;
+            orxout(internal_warning, context::pickups) << "A PickupSpawner was created without a valid Pickupable. This won't work." << endl;
             this->setActive(false);
         }
@@ -239,5 +239,5 @@
         else
         {
-            COUT(4) << "PickupSpawner (&" << this << ") empty, selfdestruct initialized." << std::endl;
+            orxout(verbose, context::pickups) << "PickupSpawner (&" << this << ") empty, selfdestruct initialized." << endl;
             this->setActive(false);
             this->destroy();
@@ -264,10 +264,10 @@
         if(this->pickup_ != NULL)
         {
-            COUT(1) << "In PickupSpawner (&" << this << "): setPickupable called, with this->pickup_ already set." << std::endl;
+            orxout(internal_error, context::pickups) << "In PickupSpawner (&" << this << "): setPickupable called, with this->pickup_ already set." << endl;
             return;
         }
         if(pickup == NULL)
         {
-            COUT(1) << "In PickupSpawner (&" << this << "): Argument of setPickupable is NULL." << std::endl;
+            orxout(internal_error, context::pickups) << "In PickupSpawner (&" << this << "): Argument of setPickupable is NULL." << endl;
             return;
         }
@@ -298,5 +298,5 @@
         if(this->isActive()) // Checks whether PickupSpawner is active.
         {
-            COUT(4) << "PickupSpawner (&" << this << ") triggered and active." << std::endl;
+            orxout(verbose, context::pickups) << "PickupSpawner (&" << this << ") triggered and active." << endl;
 
             PickupCarrier* carrier = dynamic_cast<PickupCarrier*>(pawn);
@@ -306,5 +306,5 @@
             if(!carrier->isTarget(this->pickup_))
             {
-                COUT(4) << "PickupSpawner (&" << this << ") triggered but Pawn wasn't a target of the Pickupable." << std::endl;
+                orxout(verbose, context::pickups) << "PickupSpawner (&" << this << ") triggered but Pawn wasn't a target of the Pickupable." << endl;
                 return;
             }
@@ -335,5 +335,5 @@
         if(this->spawnsRemaining_ == 0)
         {
-            COUT(1) << "Massive Error: PickupSpawner still alive until having spawned last item." << std::endl;
+            orxout(internal_error, context::pickups) << "Massive Error: PickupSpawner still alive until having spawned last item." << endl;
             return NULL;
         }
@@ -349,5 +349,5 @@
     void PickupSpawner::respawnTimerCallback()
     {
-        COUT(4) << "PickupSpawner (&" << this << ") reactivated." << std::endl;
+        orxout(verbose, context::pickups) << "PickupSpawner (&" << this << ") reactivated." << endl;
 
         this->setActive(true);
Index: code/trunk/src/modules/pickup/items/DronePickup.cc
===================================================================
--- code/trunk/src/modules/pickup/items/DronePickup.cc	(revision 8857)
+++ code/trunk/src/modules/pickup/items/DronePickup.cc	(revision 8858)
@@ -179,5 +179,5 @@
         if(pawn == NULL)
         {
-            COUT(1) << "Invalid PickupCarrier in DronePickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid PickupCarrier in DronePickup." << endl;
         }
 
Index: code/trunk/src/modules/pickup/items/HealthPickup.cc
===================================================================
--- code/trunk/src/modules/pickup/items/HealthPickup.cc	(revision 8857)
+++ code/trunk/src/modules/pickup/items/HealthPickup.cc	(revision 8858)
@@ -169,5 +169,5 @@
                     break;
                 default:
-                    COUT(1) << "Invalid healthType in HealthPickup." << std::endl;
+                    orxout(internal_error, context::pickups) << "Invalid healthType in HealthPickup." << endl;
             }
 
@@ -218,5 +218,5 @@
                         break;
                     default:
-                        COUT(1) << "Invalid healthType in HealthPickup." << std::endl;
+                        orxout(internal_error, context::pickups) << "Invalid healthType in HealthPickup." << endl;
                 }
 
@@ -234,5 +234,5 @@
                 if(pawn == NULL)
                 {
-                    COUT(1) << "Something went horribly wrong in Health Pickup. PickupCarrier is no Pawn." << std::endl;
+                    orxout(internal_error, context::pickups) << "Something went horribly wrong in Health Pickup. PickupCarrier is no Pawn." << endl;
                     this->Pickupable::destroy();
                     return;
@@ -268,5 +268,5 @@
         if(pawn == NULL)
         {
-            COUT(1) << "Invalid PickupCarrier in HealthPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid PickupCarrier in HealthPickup." << endl;
         }
 
@@ -312,5 +312,5 @@
                 return HealthPickup::healthTypePermanent_s;
             default:
-                COUT(1) << "Invalid healthType in HealthPickup." << std::endl;
+                orxout(internal_error, context::pickups) << "Invalid healthType in HealthPickup." << endl;
                 return BLANKSTRING;
         }
@@ -331,5 +331,5 @@
         else
         {
-            COUT(1) << "Invalid health in HealthPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid health in HealthPickup." << endl;
             this->health_ = 0.0;
         }
@@ -350,5 +350,5 @@
         else
         {
-            COUT(1) << "Invalid healthSpeed in HealthPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid healthSpeed in HealthPickup." << endl;
         }
     }
@@ -376,5 +376,5 @@
         else
         {
-            COUT(1) << "Invalid healthType in HealthPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid healthType in HealthPickup." << endl;
         }
     }
Index: code/trunk/src/modules/pickup/items/InvisiblePickup.cc
===================================================================
--- code/trunk/src/modules/pickup/items/InvisiblePickup.cc	(revision 8857)
+++ code/trunk/src/modules/pickup/items/InvisiblePickup.cc	(revision 8858)
@@ -206,5 +206,5 @@
         if(pawn == NULL)
         {
-            COUT(1) << "Invalid PickupCarrier in InvisiblePickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid PickupCarrier in InvisiblePickup." << endl;
         }
         return pawn;
@@ -225,5 +225,5 @@
         else
         {
-            COUT(1) << "Invalid duration in InvisiblePickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid duration in InvisiblePickup." << endl;
             this->duration_ = 0.0f;
         }
Index: code/trunk/src/modules/pickup/items/MetaPickup.cc
===================================================================
--- code/trunk/src/modules/pickup/items/MetaPickup.cc	(revision 8857)
+++ code/trunk/src/modules/pickup/items/MetaPickup.cc	(revision 8858)
@@ -232,5 +232,5 @@
         }
         else
-            COUT(2) << "Invalid metaType '" << type << "' in MetaPickup." << std::endl;
+            orxout(internal_warning, context::pickups) << "Invalid metaType '" << type << "' in MetaPickup." << endl;
     }
 
Index: code/trunk/src/modules/pickup/items/ShieldPickup.cc
===================================================================
--- code/trunk/src/modules/pickup/items/ShieldPickup.cc	(revision 8857)
+++ code/trunk/src/modules/pickup/items/ShieldPickup.cc	(revision 8858)
@@ -181,5 +181,5 @@
         if(pawn == NULL)
         {
-            COUT(1) << "Invalid PickupCarrier in ShieldPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid PickupCarrier in ShieldPickup." << endl;
         }
         return pawn;
@@ -220,5 +220,5 @@
         else
         {
-            COUT(1) << "Invalid duration in ShieldPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid duration in ShieldPickup." << endl;
             this->duration_ = 0.0f;
         }
@@ -239,5 +239,5 @@
         else
         {
-            COUT(1) << "Invalid Shieldhealth in ShieldPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid Shieldhealth in ShieldPickup." << endl;
             this->shieldHealth_=0;
         }
@@ -258,5 +258,5 @@
         else
         {
-            COUT(1) << "Invalid Absorption in ShieldPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid Absorption in ShieldPickup." << endl;
             this->shieldAbsorption_=0;
         }
Index: code/trunk/src/modules/pickup/items/ShrinkPickup.h
===================================================================
--- code/trunk/src/modules/pickup/items/ShrinkPickup.h	(revision 8857)
+++ code/trunk/src/modules/pickup/items/ShrinkPickup.h	(revision 8858)
@@ -93,5 +93,5 @@
             */
             inline void setShrinkFactor(float factor)
-                { if(factor <= 1.0f) { COUT(2) << "Invalid shrinking factor in ShrinkPickup. Ignoring.." << endl; return; } this->shrinkFactor_ = factor; }
+                { if(factor <= 1.0f) { orxout(internal_warning, context::pickups) << "Invalid shrinking factor in ShrinkPickup. Ignoring.." << endl; return; } this->shrinkFactor_ = factor; }
             /**
             @brief Get the duration for which the ship remains shrunken.
@@ -105,5 +105,5 @@
             */
             inline void setDuration(float duration)
-                { if(duration < 0.0f) { COUT(2) << "Invalid duration in ShrinkPickup. Ignoring.." << endl; return; } this->duration_ = duration; }
+                { if(duration < 0.0f) { orxout(internal_warning, context::pickups) << "Invalid duration in ShrinkPickup. Ignoring.." << endl; return; } this->duration_ = duration; }
             /**
             @brief Get the shrink speed.
@@ -117,5 +117,5 @@
             */
             inline void setShrinkDuration(float speed)
-                { if(speed <= 0.0f) { COUT(2) << "Invalid shrink duration in ShrinkPickup. Ignoring.." << endl; return; } this->shrinkDuration_ = speed; }
+                { if(speed <= 0.0f) { orxout(internal_warning, context::pickups) << "Invalid shrink duration in ShrinkPickup. Ignoring.." << endl; return; } this->shrinkDuration_ = speed; }
 
         protected:
Index: code/trunk/src/modules/pickup/items/SpeedPickup.cc
===================================================================
--- code/trunk/src/modules/pickup/items/SpeedPickup.cc	(revision 8857)
+++ code/trunk/src/modules/pickup/items/SpeedPickup.cc	(revision 8858)
@@ -180,5 +180,5 @@
         if(ship == NULL)
         {
-            COUT(1) << "Invalid PickupCarrier in SpeedPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid PickupCarrier in SpeedPickup." << endl;
         }
 
@@ -221,5 +221,5 @@
         else
         {
-            COUT(1) << "Invalid duration in SpeedPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid duration in SpeedPickup." << endl;
             this->duration_ = 0.0f;
         }
@@ -240,5 +240,5 @@
         else
         {
-            COUT(1) << "Invalid speedAdd in SpeedPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid speedAdd in SpeedPickup." << endl;
             this->speedAdd_ = 0.0f;
         }
@@ -259,5 +259,5 @@
         else
         {
-            COUT(1) << "Invalid speedMultiply in SpeedPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid speedMultiply in SpeedPickup." << endl;
             this->speedMultiply_ = 1.0f;
         }
Index: code/trunk/src/modules/pong/Pong.cc
===================================================================
--- code/trunk/src/modules/pong/Pong.cc	(revision 8857)
+++ code/trunk/src/modules/pong/Pong.cc	(revision 8858)
@@ -162,5 +162,5 @@
         else // If no centerpoint was specified, an error is thrown and the level is exited.
         {
-            COUT(1) << "Error: No Centerpoint specified." << std::endl;
+            orxout(internal_error) << "Pong: No Centerpoint specified." << endl;
             GSLevel::startMainMenu();
             return;
Index: code/trunk/src/modules/questsystem/GlobalQuest.cc
===================================================================
--- code/trunk/src/modules/questsystem/GlobalQuest.cc	(revision 8857)
+++ code/trunk/src/modules/questsystem/GlobalQuest.cc	(revision 8858)
@@ -71,5 +71,5 @@
         XMLPortObject(GlobalQuest, QuestEffect, "reward-effects", addRewardEffect, getRewardEffects, xmlelement, mode);
 
-        COUT(4) << "New GlobalQuest {" << this->getId() << "} created." << std::endl;
+        orxout(verbose, context::quests) << "New GlobalQuest {" << this->getId() << "} created." << endl;
     }
 
@@ -87,5 +87,5 @@
         if(!this->isFailable(player)) // Check whether the Quest can be failed.
         {
-            COUT(4) << "A non-completable quest was trying to be failed." << std::endl;
+            orxout(verbose, context::quests) << "A non-completable quest was trying to be failed." << endl;
             return false;
         }
@@ -114,5 +114,5 @@
         if(!this->isCompletable(player)) // Check whether the Quest can be completed.
         {
-            COUT(4) << "A non-completable quest was trying to be completed." << std::endl;
+            orxout(verbose, context::quests) << "A non-completable quest was trying to be completed." << endl;
             return false;
         }
@@ -227,5 +227,5 @@
         this->rewards_.push_back(effect); // Add the QuestEffect to the list.
 
-        COUT(4) << "Reward effect was added to Quest {" << this->getId() << "}." << std::endl;
+        orxout(verbose, context::quests) << "Reward effect was added to Quest {" << this->getId() << "}." << endl;
         return true;
     }
Index: code/trunk/src/modules/questsystem/LocalQuest.cc
===================================================================
--- code/trunk/src/modules/questsystem/LocalQuest.cc	(revision 8857)
+++ code/trunk/src/modules/questsystem/LocalQuest.cc	(revision 8858)
@@ -69,5 +69,5 @@
         SUPER(LocalQuest, XMLPort, xmlelement, mode);
 
-        COUT(4) << "New LocalQuest {" << this->getId() << "} created." << std::endl;
+        orxout(verbose, context::quests) << "New LocalQuest {" << this->getId() << "} created." << endl;
     }
 
@@ -85,5 +85,5 @@
         if(!this->isFailable(player)) // Checks whether the quest can be failed.
         {
-            COUT(4) << "A non-failable quest was trying to be failed." << std::endl;
+            orxout(verbose, context::quests) << "A non-failable quest was trying to be failed." << endl;
             return false;
         }
@@ -108,5 +108,5 @@
         if(!this->isCompletable(player)) // Checks whether the Quest can be completed.
         {
-            COUT(4) << "A non-completable quest was trying to be completed." << std::endl;
+            orxout(verbose, context::quests) << "A non-completable quest was trying to be completed." << endl;
             return false;
         }
Index: code/trunk/src/modules/questsystem/Quest.cc
===================================================================
--- code/trunk/src/modules/questsystem/Quest.cc	(revision 8857)
+++ code/trunk/src/modules/questsystem/Quest.cc	(revision 8858)
@@ -96,5 +96,5 @@
         this->parentQuest_ = quest;
 
-        COUT(4) << "Parent Quest {" << quest->getId() << "} was added to Quest {" << this->getId() << "}." << std::endl;
+        orxout(verbose, context::quests) << "Parent Quest {" << quest->getId() << "} was added to Quest {" << this->getId() << "}." << endl;
         return true;
     }
@@ -115,5 +115,5 @@
         this->subQuests_.push_back(quest); // Adds the Quest to the end of the list of sub-quests.
 
-        COUT(4) << "Sub Quest {" << quest->getId() << "} was added to Quest {" << this->getId() << "}." << std::endl;
+        orxout(verbose, context::quests) << "Sub Quest {" << quest->getId() << "} was added to Quest {" << this->getId() << "}." << endl;
         return true;
     }
@@ -135,5 +135,5 @@
         this->hints_.push_back(hint); // Adds the QuestHint to the end of the list of QuestHints.
 
-        COUT(4) << "QuestHint {" << hint->getId() << "} was added to Quest {" << this->getId() << "}." << std::endl;
+        orxout(verbose, context::quests) << "QuestHint {" << hint->getId() << "} was added to Quest {" << this->getId() << "}." << endl;
         return true;
     }
@@ -153,5 +153,5 @@
         this->failEffects_.push_back(effect); // Adds the QuestEffect to the end of the list of fail QuestEffects.
 
-        COUT(4) << "A FailEffect was added to Quest {" << this->getId() << "}." << std::endl;
+        orxout(verbose, context::quests) << "A FailEffect was added to Quest {" << this->getId() << "}." << endl;
         return true;
     }
@@ -171,5 +171,5 @@
         this->completeEffects_.push_back(effect); // Adds the QuestEffect to the end of the list of complete QuestEffects.
 
-        COUT(4) << "A CompleteEffect was added to Quest {" << this->getId() << "}." << std::endl;
+        orxout(verbose, context::quests) << "A CompleteEffect was added to Quest {" << this->getId() << "}." << endl;
         return true;
     }
@@ -341,5 +341,5 @@
         this->setStatus(player, QuestStatus::Failed);
 
-        COUT(4) << "Quest {" << this->getId() << "} is failed for player: " << player << " ." <<std::endl;
+        orxout(verbose, context::quests) << "Quest {" << this->getId() << "} is failed for player: " << player << " ." << endl;
 
         this->getDescription()->sendFailQuestNotification(player);
@@ -360,5 +360,5 @@
         this->setStatus(player, QuestStatus::Completed);
 
-        COUT(4) << "Quest {" << this->getId() << "} is completed for player: " << player << " ." <<std::endl;
+        orxout(verbose, context::quests) << "Quest {" << this->getId() << "} is completed for player: " << player << " ." << endl;
 
         this->getDescription()->sendCompleteQuestNotification(player);
@@ -378,9 +378,9 @@
         if(!this->isStartable(player)) // Checks whether the quest can be started.
         {
-            COUT(4) << "A non-startable quest was trying to be started." << std::endl;
+            orxout(verbose, context::quests) << "A non-startable quest was trying to be started." << endl;
             return false;
         }
 
-        COUT(4) << "Quest {" << this->getId() << "} is started for player: " << player << " ." <<std::endl;
+        orxout(verbose, context::quests) << "Quest {" << this->getId() << "} is started for player: " << player << " ." << endl;
 
         QuestListener::advertiseStatusChange(this->listeners_, "start"); // Tells the QuestListeners, that the status has changed to active.
Index: code/trunk/src/modules/questsystem/QuestDescription.cc
===================================================================
--- code/trunk/src/modules/questsystem/QuestDescription.cc	(revision 8857)
+++ code/trunk/src/modules/questsystem/QuestDescription.cc	(revision 8858)
@@ -79,5 +79,5 @@
         XMLPortParam(QuestDescription, "completeMessage", setCompleteMessage, getCompleteMessage, xmlelement, mode);
 
-        COUT(4) << "New QuestDescription with title '" << this->getTitle() << "' created." << std::endl;
+        orxout(verbose, context::quests) << "New QuestDescription with title '" << this->getTitle() << "' created." << endl;
     }
 
@@ -109,5 +109,5 @@
             else
             {
-                COUT(2) << "Bad input in notificationHelper, this should not be happening!" << std::endl;
+                orxout(internal_warning, context::quests) << "Bad input in notificationHelper, this should not be happening!" << endl;
                 return false;
             }
@@ -115,5 +115,5 @@
         else
         {
-            COUT(2) << "Bad input in notificationHelper, this should not be happening!" << std::endl;
+            orxout(internal_warning, context::quests) << "Bad input in notificationHelper, this should not be happening!" << endl;
             return false;
         }
Index: code/trunk/src/modules/questsystem/QuestEffect.cc
===================================================================
--- code/trunk/src/modules/questsystem/QuestEffect.cc	(revision 8857)
+++ code/trunk/src/modules/questsystem/QuestEffect.cc	(revision 8858)
@@ -70,5 +70,5 @@
         bool temp = true;
 
-        COUT(4) << "Invoking QuestEffects on player: " << player << " ."  << std::endl;
+        orxout(verbose, context::quests) << "Invoking QuestEffects on player: " << player << " ."  << endl;
 
         for (std::list<QuestEffect*>::iterator effect = effects.begin(); effect != effects.end(); effect++)
Index: code/trunk/src/modules/questsystem/QuestEffectBeacon.cc
===================================================================
--- code/trunk/src/modules/questsystem/QuestEffectBeacon.cc	(revision 8857)
+++ code/trunk/src/modules/questsystem/QuestEffectBeacon.cc	(revision 8858)
@@ -79,5 +79,5 @@
         XMLPortEventSink(QuestEffectBeacon, BaseObject, "execute", execute, xmlelement, mode); //TODO: Change BaseObject to MultiTrigger as soon as MultiTrigger is the base of all triggers.
 
-        COUT(4) << "New QuestEffectBeacon created." << std::endl;
+        orxout(verbose, context::quests) << "New QuestEffectBeacon created." << endl;
     }
 
@@ -108,5 +108,5 @@
         if(!(this->isActive())) // If the QuestEffectBeacon is inactive it cannot be executed.
         {
-            COUT(4) << "The QuestEffectBeacon is inactive." << std::endl;
+            orxout(verbose, context::quests) << "The QuestEffectBeacon is inactive." << endl;
             return false;
         }
@@ -128,9 +128,9 @@
         if(player == NULL)
         {
-            COUT(4) << "The QuestEffectBeacon was triggered by an entity other than a Pawn. (" << trigger->getIdentifier()->getName() << ")" << std::endl;
-            return false;
-        }
-
-        COUT(4) << "QuestEffectBeacon executed on player: " << player << " ." << std::endl;
+            orxout(verbose, context::quests) << "The QuestEffectBeacon was triggered by an entity other than a Pawn. (" << trigger->getIdentifier()->getName() << ")" << endl;
+            return false;
+        }
+
+        orxout(verbose, context::quests) << "QuestEffectBeacon executed on player: " << player << " ." << endl;
 
         bool temp = QuestEffect::invokeEffects(player, this->effects_); // Invoke the QuestEffects on the PlayerInfo.
@@ -221,5 +221,5 @@
         this->effects_.push_back(effect);
 
-        COUT(4) << "A QuestEffect was added to a QuestEffectBeacon." << std::endl;
+        orxout(verbose, context::quests) << "A QuestEffect was added to a QuestEffectBeacon." << endl;
         return true;
     }
Index: code/trunk/src/modules/questsystem/QuestHint.cc
===================================================================
--- code/trunk/src/modules/questsystem/QuestHint.cc	(revision 8857)
+++ code/trunk/src/modules/questsystem/QuestHint.cc	(revision 8858)
@@ -74,5 +74,5 @@
         QuestManager::getInstance().registerHint(this); // Registers the QuestHint with the QuestManager.
 
-        COUT(4) << "New QuestHint {" << this->getId() << "} created." << std::endl;
+        orxout(verbose, context::quests) << "New QuestHint {" << this->getId() << "} created." << endl;
     }
 
@@ -120,10 +120,10 @@
             else
             {
-                COUT(4) << "An already active questHint was trying to get activated." << std::endl;
+                orxout(verbose, context::quests) << "An already active questHint was trying to get activated." << endl;
                 return false;
             }
         }
 
-        COUT(4) << "A hint of a non-active quest was trying to get activated." << std::endl;
+        orxout(verbose, context::quests) << "A hint of a non-active quest was trying to get activated." << endl;
         return false;
     }
Index: code/trunk/src/modules/questsystem/QuestItem.cc
===================================================================
--- code/trunk/src/modules/questsystem/QuestItem.cc	(revision 8857)
+++ code/trunk/src/modules/questsystem/QuestItem.cc	(revision 8858)
@@ -89,5 +89,5 @@
         if(id == "") // Checks whether the id is a valid id.
         {
-            COUT(2) << "Invalid id. QuestItem id {" << id << "} could not be set." << std::endl;
+            orxout(internal_warning, context::quests) << "Invalid id. QuestItem id {" << id << "} could not be set." << endl;
             return;
         }
Index: code/trunk/src/modules/questsystem/QuestListener.cc
===================================================================
--- code/trunk/src/modules/questsystem/QuestListener.cc	(revision 8857)
+++ code/trunk/src/modules/questsystem/QuestListener.cc	(revision 8858)
@@ -84,5 +84,5 @@
             this->quest_->addListener(this); // Adds the QuestListener to the Quests list of listeners.
 
-        COUT(4) << "QuestListener created for quest: {" << this->quest_->getId() << "} with mode '" << this->getMode() << "'." << std::endl;
+        orxout(verbose, context::quests) << "QuestListener created for quest: {" << this->quest_->getId() << "} with mode '" << this->getMode() << "'." << endl;
     }
 
@@ -146,5 +146,5 @@
         else
         {
-            COUT(2) << "QuestListener with invalid mode '" << mode << "' created. Mode set to 'all'." << std::endl;
+            orxout(internal_warning, context::quests) << "QuestListener with invalid mode '" << mode << "' created. Mode set to 'all'." << endl;
             this->mode_ = QuestListenerMode::All;
             return false;
Index: code/trunk/src/modules/questsystem/QuestManager.cc
===================================================================
--- code/trunk/src/modules/questsystem/QuestManager.cc	(revision 8857)
+++ code/trunk/src/modules/questsystem/QuestManager.cc	(revision 8858)
@@ -61,5 +61,5 @@
         RegisterRootObject(QuestManager);
 
-        COUT(3) << "QuestManager created." << std::endl;
+        orxout(internal_info, context::quests) << "QuestManager created." << endl;
     }
 
@@ -70,5 +70,5 @@
     QuestManager::~QuestManager()
     {
-        COUT(3) << "QuestManager destroyed." << std::endl;
+        orxout(internal_info, context::quests) << "QuestManager destroyed." << endl;
     }
 
@@ -103,10 +103,10 @@
         {
             quest->setRegistered();
-            COUT(4) << "Quest with questId {" << quest->getId() << "} successfully inserted." << std::endl;
+            orxout(verbose, context::quests) << "Quest with questId {" << quest->getId() << "} successfully inserted." << endl;
             return true;
         }
         else
         {
-           COUT(2) << "Quest with the same id was already present." << std::endl;
+           orxout(internal_warning, context::quests) << "Quest with the same id was already present." << endl;
            return false;
         }
@@ -141,10 +141,10 @@
         {
             hint->setRegistered();
-            COUT(4) << "QuestHint with hintId {" << hint->getId() << "} successfully inserted." << std::endl;
+            orxout(verbose, context::quests) << "QuestHint with hintId {" << hint->getId() << "} successfully inserted." << endl;
             return true;
         }
         else
         {
-           COUT(2) << "QuestHint with the same id was already present." << std::endl;
+           orxout(internal_warning, context::quests) << "QuestHint with the same id was already present." << endl;
            return false;
         }
@@ -183,5 +183,5 @@
         {
            quest = NULL;
-           COUT(2) << "The quest with id {" << questId << "} is nowhere to be found." << std::endl;
+           orxout(internal_warning, context::quests) << "The quest with id {" << questId << "} is nowhere to be found." << endl;
         }
 
@@ -212,5 +212,5 @@
         {
            hint = NULL;
-           COUT(2) << "The hint with id {" << hintId << "} is nowhere to be found." << std::endl;
+           orxout(internal_warning, context::quests) << "The hint with id {" << hintId << "} is nowhere to be found." << endl;
         }
 
@@ -431,5 +431,5 @@
         if(player == NULL)
         {
-            COUT(1) << "Error: GUIOverlay with name '" << guiName << "' has no player." << std::endl;
+            orxout(internal_error, context::quests) << "GUIOverlay with name '" << guiName << "' has no player." << endl;
             return NULL;
         }
